View Issue Details

IDProjectCategoryView StatusLast Update
0002724SymmetricDSImprovementpublic2016-08-19 12:18
ReportermmichalekAssigned Tommichalek 
PrioritynormalSeverityminorReproducibilityN/A
Status closedResolutionfixed 
Product Version3.7.37 
Target Version3.7.37Fixed in Version3.7.37 
Summary0002724: Eliminate Repeated Stack trace logging
DescriptionProvide a custom log4j Appender that logs each stack trace with a StackTraceKey. Subsequent occurrences of that stack trace will show the key, but not the full stack. The following rules apply:

- Reset the stack trace keys when the log rolls.
- Don't suppress logging at all if the logger is in debug mode.

Example logging:
2016-08-12 17:29:27,596 ERROR [] [SymRollingFileAppenderTest] [main] Test Exception. StackTraceKey.init [Exception:1826691150]
java.lang.Exception: Test exception.
    at org.jumpmind.util.SymRollingFileAppenderTest.testDuplicatedLogMessages(SymRollingFileAppenderTest.java:47)
    at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    at sun.reflect.NativeMethodAccessorImpl.invoke(NativeMethodAccessorImpl.java:57)
    at sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)
    at java.lang.reflect.Method.invoke(Method.java:606)
        ... [redacted]
2016-08-12 17:29:27,596 ERROR [] [SymRollingFileAppenderTest] [main] Test Exception. StackTraceKey [Exception:1826691150]
2016-08-12 17:29:27,596 ERROR [] [SymRollingFileAppenderTest] [main] Test Exception. StackTraceKey [Exception:1826691150]


This is a different approach to http://www.symmetricds.org/issues/view.php?id=2514.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.7 fba35003

2016-08-12 17:30:42

mmichalek

Details Diff
0002724: Eliminate Repeated Stack trace logging
0002724
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareDiffWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-server/src/main/deploy/conf/log4j.xml Diff File
rm - symmetric-util/src/main/java/org/jumpmind/util/LogSuppressor.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/util/SymRollingFileAppender.java Diff File
add - symmetric-util/src/test/java/org/jumpmind/util/SymRollingFileAppenderTest.java Diff File
mod - symmetric-util/src/test/resources/log4j.xml Diff File

SymmetricDS: 3.8 a5ce7422

2016-08-12 17:30:42

mmichalek

Details Diff
0002724: Eliminate Repeated Stack trace logging
# Conflicts:
# symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java
# symmetric-util/src/main/java/org/jumpmind/util/LogSuppressor.java

0002724
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/DbCompareDiffWriter.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/DataLoaderService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/DefaultDatabaseWriter.java Diff File
mod - symmetric-jdbc/src/main/java/org/jumpmind/db/sql/JdbcSqlTemplate.java Diff File
mod - symmetric-server/src/main/deploy/conf/log4j.xml Diff File
rm - symmetric-util/src/main/java/org/jumpmind/util/LogSuppressor.java Diff File
add - symmetric-util/src/main/java/org/jumpmind/util/SymRollingFileAppender.java Diff File
add - symmetric-util/src/test/java/org/jumpmind/util/SymRollingFileAppenderTest.java Diff File
mod - symmetric-util/src/test/resources/log4j.xml Diff File

SymmetricDS: 3.8 b8cbd6c9

2016-08-12 17:44:56

mmichalek

Details Diff
0002724: Eliminate Repeated Stack trace logging
0002724
mod - symmetric-server/src/main/java/org/jumpmind/symmetric/web/PushStatusUriHandler.java Diff File

Issue History

Date Modified Username Field Change
2016-08-12 17:30 mmichalek New Issue
2016-08-12 17:30 mmichalek Status new => assigned
2016-08-12 17:30 mmichalek Assigned To => mmichalek
2016-08-12 18:00 mmichalek Changeset attached => SymmetricDS 3.7 fba35003
2016-08-12 18:00 mmichalek Changeset attached => SymmetricDS 3.8 b8cbd6c9
2016-08-12 18:00 mmichalek Changeset attached => SymmetricDS 3.8 a5ce7422
2016-08-15 11:01 mmichalek Status assigned => resolved
2016-08-15 11:01 mmichalek Resolution open => fixed
2016-08-15 11:01 mmichalek Fixed in Version => 3.7.37
2016-08-19 12:18 chenson Status resolved => closed